Bug 249482 - [NEW PORT] sysutils/terragrunt: Thin wrapper for Terraform that provides extra tools
Summary: [NEW PORT] sysutils/terragrunt: Thin wrapper for Terraform that provides extr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://terragrunt.gruntwork.io/
Keywords: feature
Depends on:
Blocks:
 
Reported: 2020-09-20 14:14 UTC by Gabriel Dutra
Modified: 2020-09-23 22:01 UTC (History)
2 users (show)

See Also:


Attachments
This is the terragrunt port, containing Makefile, distinfo and pkg-descr. (25.09 KB, patch)
2020-09-20 14:14 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff
Diff terragrunt (26.33 KB, patch)
2020-09-21 12:32 UTC, Gabriel Dutra
no flags Details | Diff
Update terragrunt to version 0.25.1 (26.33 KB, patch)
2020-09-22 15:04 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2020-09-20 14:14:24 UTC
Created attachment 218108 [details]
This is the terragrunt port, containing Makefile, distinfo and pkg-descr.

Hi,
This is my first port. I'm sending the Terragrunt, the tool is a wrapper for Terraform that provides extra tools for keeping your Terraform configurations, working with multiples Terraform modules.

https://terragrunt.gruntwork.io/
Comment 1 Gabriel Dutra 2020-09-21 12:32:37 UTC
Created attachment 218145 [details]
Diff terragrunt

* portlint ok

Tested and running correctly on

FreeBSD CURRENT amd64
FreeBSD CURRENT i386

FreeBSD 12.1-RELEASE amd64
FreeBSD 12.1-RELEASE i386

FreeBSD 11.3-RELEASE amd64
FreeBSD 11.3-RELEASE i386

Poudriere Log

http://poudriere.bs2.com.br/poudriere/data/13-amd64-head/2020-09-21_09h12m12s/logs/terragrunt-0.25.0.log
Comment 2 Gabriel Dutra 2020-09-22 15:04:03 UTC
Created attachment 218179 [details]
Update terragrunt to version 0.25.1

Update version to 0.25.1

* portlint ok

Tested and running correctly on:

FreeBSD CURRENT amd64, i386
FreeBSD 12.1-RELEASE amd64, i386
FreeBSD 11.3-RELEASE amd64, i386

Poudriere log

https://poudriere.bs2.com.br/poudriere/data/11-i386-head/2020-09-22_11h51m55s/logs/terragrunt-0.25.1.log
Comment 3 commit-hook freebsd_committer 2020-09-23 21:59:41 UTC
A commit references this bug:

Author: dbaio
Date: Wed Sep 23 21:59:08 UTC 2020
New revision: 549856
URL: https://svnweb.freebsd.org/changeset/ports/549856

Log:
  Add sysutils/terragrunt: Terragrunt is a thin wrapper for Terraform

  Terragrunt is a thin wrapper for Terraform that provides extra tools for
  keeping your Terraform configurations DRY, working with multiple Terraform
  modules, and managing remote state.

  WWW: https://terragrunt.gruntwork.io/

  PR:		249482
  Submitted by:	Gabriel Dutra <0xdutra@gmail.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/terragrunt/
  head/sysutils/terragrunt/Makefile
  head/sysutils/terragrunt/distinfo
  head/sysutils/terragrunt/pkg-descr
Comment 4 commit-hook freebsd_committer 2020-09-23 22:00:43 UTC
A commit references this bug:

Author: dbaio
Date: Wed Sep 23 22:00:35 UTC 2020
New revision: 54518
URL: https://svnweb.freebsd.org/changeset/doc/54518

Log:
  Add Gabriel Dutra to contributors

  Maintainer of:	sysutils/terragrunt

  PR:		249482

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 5 Danilo G. Baio freebsd_committer 2020-09-23 22:01:58 UTC
Committed and thanks for your work! =)